/**
  ******************************************************************************
  * @file    ADC_user.h
  * @author  sinomcu.com-AE
  * @brief   Header file of ADC_user.c file.
  *   
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
 */

#ifndef __ADC_USER_H
#define __ADC_USER_H

#include "ms32f0xx.h"

/* ADC Error TypeDef */
typedef enum {
  ADC_NO_ERROR = 0U,
  ADC_CALI_ERROR,
  ADC_ADRDY_ERROR,
  ADC_CONVERSION_EOC_ERROR,
  ADC_CONVERSION_EOS_ERROR,
  ADC_OVERRUN_ERROR  
} ADCErrorStatus;

ADCErrorStatus Activate_ADC(void);
ADCErrorStatus Get_ADC_Conversion_Result(uint16_t *ADC_Result_buff); 
void ADC_ERROR(ADCErrorStatus error_status);

#endif /* __ADC_USER_H */ 

/******************************** END OF FILE ******************************** */
