/**
  ******************************************************************************
  * @file    GPIO_CFG.h
  * @author  sinomcu.com-AE
  * @brief   Header file of GPIO_CFG.c file.
  *    
  *          This file describes the GPIO macro definitions used:
  *             PB6  --> LED1
  *             PB7  --> LED2
  *         
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
 */

#ifndef __GPIO_CFG_H
#define __GPIO_CFG_H

#include "ms32f0xx.h"

#define LED_Port               GPIOB
#define LED1_Pin               MS32_GPIO_PIN_6
#define LED2_Pin               MS32_GPIO_PIN_7
#define LED1_AHB_PERIPH_Port   MS32_AHB1_GRP1_PERIPH_GPIOB

void LED1_ON(void); 
void LED1_OFF(void);
void LED1_TOGGLE(void);

void LED2_ON(void); 
void LED2_OFF(void);
void LED2_TOGGLE(void);

void gpio_init(void);

#endif /* __GPIO_CFG_H */ 

/******************************** END OF FILE ******************************** */
